<?php
/**
 * @version SOFORT Gateway 5.2.0 - $Date: 2013-04-22 14:00:13 +0200 (Mon, 22 Apr 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sofortueberweisung.php 6097 2013-04-22 12:00:13Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_EXTRA',
	MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.DIR_WS_CATALOG.'callback/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/sue/shopinfo/en");
	</script>
');

define('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Banking <br /> <img src="https://images.sofort.com/cs/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE_ADMIN', 'SOFORT Banking <br /> <img src="https://images.sofort.com/cs/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('MODULE_PAYMENT_SOFORT_SU_TEXT_TITLE', 'SOFORT Banking');
define('MODULE_PAYMENT_SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Banking s ochranou kupucho');
define('MODULE_PAYMENT_SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/cs/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Banking je bezplatnou platebn slubou spolecnosti SOFORT AG s certifikac TV.');

define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
	<a onclick="javascript:window.open(\'https://images.sofort.com/cs/su/landing.php\',\'Kundeninformationen\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
		{{image}}
	</a>
	</td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');
define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>Platebn systm certifikovan TV Saarland s overenou ochranou osobnch daju</li><li>Nen nutn dn registrace</li><li>Pokud je zbo / digitln obsah kdispozici, mue bt zasln / aktivovn okamite</li><li>Pripravte si daje pro sv internetov bankovnictv (prihlaovac a autorizacn daje)</li></ul>');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>Pri platbe pres SOFORT Banking vyuvte ochrany kupujcho! [[link_beginn]]Vce informac[[link_end]]</li><li>Platebn systm certifikovan TV Saarland s overenou ochranou osobnch daju</li><li>Nen nutn dn registrace</li><li>Pokud je zbo / digitln obsah kdispozici, mue bt zasln / aktivovn okamite</li><li>Pripravte si daje pro sv internetov bankovnictv (prihlaovac a autorizacn daje)</li></ul>');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/eng-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_ALLOWED_TITLE', 'Povolen zny');
define('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_ALLOWED_DESC', 'Uvedte <b>jednotlive</b> zny, kter maj bt povoleny pro tento modul. (napr. CZ, SK (pokud przdn, jsou povoleny vechny zny))');
define('MODULE_PAYMENT_SOFORT_SU_STATUS_TITLE', 'aktivovat modul sofort.de');
define('MODULE_PAYMENT_SOFORT_SU_STATUS_DESC', 'Aktivuje/deaktivuje kompletn modul');
define('MODULE_PAYMENT_SOFORT_SU_ZONE_TITLE', MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE);
define('MODULE_PAYMENT_SOFORT_SU_ZONE_DESC', MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC);

define('MODULE_PAYMENT_SOFORT_SU_SORT_ORDER_TITLE', 'Porad zobrazen');
define('MODULE_PAYMENT_SOFORT_SU_SORT_ORDER_DESC', 'Porad zobrazen. Nejmen cslice bude zobrazena jako prvn.');
define('MODULE_PAYMENT_SOFORT_SU_KS_STATUS_TITLE', 'Ochrana kupujcho aktivovna');
define('MODULE_PAYMENT_SOFORT_SU_KS_STATUS_DESC', 'Aktivovat ochranu kupujcho pro SOFORT Banking');

define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Potvrzen stav objednvky');
define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Potvrzen stav objednvky <br />Stav objednvky po uzavren transakci.');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Stav objednvky, kdy nedola dn platba');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Stav objednvky, kdy nedola dn platba na V cet. (Predpoklad: cet u Sofort Bank).');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Prjem platby');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Stav pro objednvky, kdy dola platba na cet SOFORT Bank.');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Cstecn refundace');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Stav pro objednvky, u kterch byla cstecn cstka vrcena kupujcmu.');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'pln hrada');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Stav pro objednvky, u kterch byla pln cstka vrcena kupujcmu.');

define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', 'Doporucen zpusob platby');
define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_DESC', 'Oznacit zpusob platby jako doporucen zpusob platby. Na strnce placen nsleduje upozornen hned za zpusobem platby.');
define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '(Doporucen zpusob platby)');

define('MODULE_PAYMENT_SOFORT_SU_TMP_COMMENT', 'Jako zpusob platby vybrno SOFORT Banking. Transakce nebyla uzavrena.');
define('MODULE_PAYMENT_SOFORT_SU_TMP_COMMENT_SELLER', 'Presmerovn k SOFORT  platba jete neprovedena.');

define('MODULE_PAYMENT_SOFORT_SU_TEXT_ERROR_MESSAGE', 'Zvolen zpusob platby nen bohuel mon nebo byl na prn zkaznka preruen. Zvolte prosm jin zpusob platby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_SU', 'Zvolen zpusob platby nen bohuel mon nebo byl na prn zkaznka preruen. Zvolte prosm jin zpusob platby.');

define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_SELLER', ' ');
define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'Objednvka byla spene predna pres SOFORT Banking. Vae ID transakce: {{transaction}}');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_SELLER', ' ');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_BUYER', 'Prjem platby jete nebyl dosud zjiten. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_BUYER', ' ');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_SELLER', 'Prjem platby na cet');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_SELLER', ' ');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_BUYER', 'Fakturovan cstka bude vrcena. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_SELLER', 'Cst fakturovan cstky bude vrcena. Vrcena cstka celkove: {{refunded_amount}}. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_BUYER', 'Cst cstky bude uhrazena.');

?>