<?php
/**
 * @version SOFORT Gateway 5.2.0 - $Date: 2013-02-21 14:07:21 +0100 (Thu, 21 Feb 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 5993 2013-02-21 13:07:21Z rotsch $
 */

define('MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/sofortbox.js"></script>
');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_TITLE', 'Konfigurcis kulcs');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_DESC', 'A SOFORT AG ltal hozzrendelt konfigurcis kulcs');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_TITLE', 'Konfigurcis kulcs/API-Key tesztelse');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Krjk a javascript aktivlst!</noscript>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/testAuth.js"></script>
');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE', 'Fizetsi zna');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC', 'Amennyiben egy zna kivlasztsra kerlt, gy a fizetsi md csak ebben a znban rvnyes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_TITLE', 'Kzlemny 1');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_DESC', 'Az 1. kzlemnyben a kvetkezo opcik vlaszthatk ki');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_2_TITLE', 'Kzlemny 2');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_2_DESC', 'A kzlemnyben (legfeljebb 27 karakter) a kvetkezo helyek kerlnek megadsra:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'A kvetkezo hibajelents rkezett a folyamat kzben:');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'A kivlasztott fizetsi md sajnos nem lehetsges vagy az gyfl kvnsgra megszaktva. Krjk, vlasszon msik fizetsi mdot.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner vagy szveg a fizetsi opcik kivlasztsnl');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_DESC', 'Banner vagy szveg a fizetsi opcik kivlasztsnl');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Profibelltsok</span> ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'A kvetkezo belltsoknl ltalban nincs szksg mdostsokra, ezeknek mr a megfelelo rtkekkel kell rendelkezsre llniuk.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'A logging aktivlsa');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Aktivlja a logging-et a hibk, a figyelmeztetsek, valamint a SOFORT szerverhez intzett krdsek s az onnan rkezo vlaszok megjelentse rdekben. A logging-et adatvdelmi okokbl lehetoleg csak a hibakeresnl kell bekapcsolni. Tovbbi felvilgostst a kziknyvben tall.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Ideiglenes megrendelsi sttusz');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Megrendelsi sttusz nem befejezett tranzakcik esetn. A megrendels megtrtnt, azonban a tranzakcit a SOFORT AG nem igazolta vissza.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Megrendelsi sttusz megszaktott fizets esetn');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Megrendelsi sttusz olyan megrendelsek esetn, melyeket a fizetsi folyamat kzben szaktottak meg. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ORDER_CANCELED', 'A megrendels megszaktva.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TRANSACTION_ID', 'Transakcis azonost');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UPDATE_NOTICE', 'A modul aktualizlva. A korrekt mukds rdekben minden (!) mg meglvo SOFORT fizetsi mdot deinstalllni kell s ezutn ismt (szksg szerint) installlni. Addig a vsrlnak a fizetsi md nem ll rendelkezsre. Krjk, a deinstallci elott jegyezze fel a modul belltsait!');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_VERSIONNUMBER', 'Verziszm');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_FORWARDING', 'Krdst megvizsgljuk, krjk, legyen egy pillanatig trelemmel s ne szaktsa meg a folyamatot. Ez akr 30 msodpercig is eltarthat.');

define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS', 'Az API-Key sikeresen rvnyestve!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS_DESC', 'Teszt OK ezen a napon:');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR', 'Az API-Key rvnyestse nem sikerlt!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR_DESC', 'Figyelem: az API-Key hibs');
define('MODULE_PAYMENT_SOFORT_KEYTEST_DEFAULT', 'Az API-Key mg nincs tesztelve');

define('MODULE_PAYMENT_SOFORT_REFRESH_INFO', 'Ha ezt a megrendelst ppen visszaigazolta, mdostotta, trlte vagy jvrta, akkor ezt az oldalt adott esetben {{refresh}} a vltozsok megjelentse rdekben.');
define('MODULE_PAYMENT_SOFORT_REFRESH_PAGE', 'Kattintson die az oldal ismetelt betltse rdekben');
define('MODULE_PAYMENT_SOFORT_TRANSLATE_TIME', 'Ido');

//definition of error-codes that can resolve by calling the SOFORT-API
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_0', 'Ismeretlen hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8002', 'Az rvnyestskor hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010', 'Az adatok hinyosak vagy hibsak. Krjk, javtsa ki azokat vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8011', 'Az rtk nincs az rvnyes hatrok kztt');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8012', 'Az rtknek pozitvnak kell lennie.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8013', 'Jelenleg csak az eurban trtno megrendelseket tmogatjuk. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8015', 'A vgsszeg tl nagy vagy tl kicsi. Krjk, ezt vltoztassa meg vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8017', 'Ismeretlen jelek/karakterek.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8018', 'A karakterek maximlis szma tllpve (max. 27).');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8019', 'A megrendels hibs e-mail cm miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8020', 'A megrendels hibs telefonszm miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8021', 'Az orszgkd nem tmogatott, krjk, forduljon az ruhz zemeltetojhez.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8022', 'A megadott BIC / SWIFT kd nem rvnyes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8023', 'A megrendels hibs BIC kd (Bank Identifier Code) miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8024', 'A megrendels hibs orszgkd miatt nem hajthat vgre. A szlltsi / szmlzsi cmnek Nmetorszgban kell lennie. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8029', 'Csak a nmet bankszmlk tmogatottak. Krjk, ezt javtsa ki vagy vlasszon ms fizetsi mdot.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8033', 'A vgsszeg tl magas. Krjk, ezt javtsa ki s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8034', 'A vgsszeg tl alacsony. Krjk, ezt javtsa ki s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8041', 'Az fa rtke hibs. rvnyes rtkek: 0, 7 vagy 19.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8046', 'A bankszmla vagy a bankkd rvnyestse nem sikerlt.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8047', 'A jelek maximlis szma (255) tllpve.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8051', 'A megkeress rvnytelen bevsrlkosr-tteleket tartalmaz. Krjk, ezt javtsa ki vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8058', 'Krjk, adja meg lagalbb a szmlatulajdonost s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8061', 'Mr ltezik egy tranzakci az n ltal megadott adatokkal.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8068', 'A szmlra trtno vsrls jelenleg csak a magngyfelek szmra ll rendelkezsre.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10001', 'Krjk, tltse ki teljesen a kvetkezo mezoket: bankszmlaszm, bankkd s szmlatulajdonos.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10002', 'Krjk, fogadja el az adatvdelmi rendelkezseket.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10003', 'A kivlasztott fizetsi mddal olyan termkek, mint letltsek vagy ajndkutalvnyok nem fizethetok ki.  ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10007', 'Ismeretlen hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10008', 'A SOFORT szervervel trtno szikronizls kzben hiba lpett fel. Krjk, hasznlja a SOFORT felhasznli fellete nyjtotta lehetosgeket a szmla vagy bevsrlkosr mdostshoz.  ');

//check for empty fields failed (code 8010 = 'must not be empty')
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER', 'Az e-mail cm nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER', 'A telefonszm nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME', 'A szmlzsi cm keresztneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME', 'A feladsi cm keresztneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME', 'A szmlzsi cm csaldneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME', 'A feladsi cm csaldneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE', 'A szmlzsi cm irnytszama nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE', 'A feladsi cm irnytszma nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY', 'A szmlzsi cm vrosneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY', 'A feladsi cm vrosneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE', 'A szmlzsi cm orszgkdja nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE', 'A feladsi cm orszgkdja nem lehet res.');