<?php
/**
 * @version SOFORT Gateway 5.2.0 - $Date: 2013-02-21 14:07:21 +0100 (Thu, 21 Feb 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 5993 2013-02-21 13:07:21Z rotsch $
 */

define('MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/sofortbox.js"></script>
');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_TITLE', 'Klucz konfiguracyjny');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_DESC', 'Klucz konfiguracyjny nadany przez SOFORT AG');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_TITLE', 'Przetestuj klucz konfiguracji/API-Key');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Prosimy aktywowa Javascript!</noscript>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'callback/sofort/ressources/javascript/testAuth.js"></script>
');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE', 'Strefa patnoci');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC', 'Kiedy strefa zostanie wybrana, metoda patnicza dotyczy tej strefy.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_TITLE', 'Tytu przelewu 1');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_DESC', 'W 1 tytule przelewu mona wybra nastpujce opcje.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_2_TITLE', 'Tytu przelewu 2');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_2_DESC', 'W tytule przelewu (maksymalnie 27 znakw) zastpione zostan nastpujce znaki zastpcze:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Nastpujcy bd wystpi podczas procesu:');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Wybrana metoda patnicza nie jest niestety moliwa lub zostaa przerwana na yczenie klienta. Prosimy o wybranie innej metody patniczej.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_TITLE', 'Baner lub tekst przy wyborze opcji patniczej');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_DESC', 'Baner lub tekst przy wyborze opcji patniczej');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Ustawienia profesjonalne</span> ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Nastpujce ustawienia z reguy nie wymagaj dopasowania i powinny zawiera ju prawidowe wartoci.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Uaktywnij logging');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Prosz uaktywni logging, aby bdy, ostrzeenia, jak rwnie zapytania i odpowiedzi mogy by zapisywane na serwerach SOFORT. Z przyczyn zwizanych z ochron danych logging powinien by wczony jedynie  w celu wyszukiwania bdw. Dalsze informacje znajdziesz w instrukcji obsugi.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Tymczasowy status zamwienia');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Status zamwienia dla niezakoczonych transakcji. Zamwienie zostao zoone ale transakcja nie zostaa jeszcze potwierdzona przez SOFORT AG.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Status zamwienia w przypadku przerwanej patnoci.'); //Bestellstatus bei abgebrochener/erfolgloser Zahlung
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Status zamwienia w przypadku zamwie, ktre zostay przerwane podczas procesu patnoci.'); //Bestellstatus bei Bestellungen, die whrend des Bestellvorgangs oder im Wizard abgebrochen wurden.
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ORDER_CANCELED', 'Die Bestellung wurde abgebrochen.'); //Die Bestellung wurde abgebrochen.

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TRANSACTION_ID', 'ID transakcji');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UPDATE_NOTICE', 'Modu zosta zaktualizowany. W celu prawidowego funkcjonowania, wszystkie(!) istniejce metody patnicze SOFORT musz zosta odinstalowane i (w razie potrzeby) zainstalowane na nowo. Do tego czasu metody patnicze nie bd proponowane klientowi. Przed odinstalowaniem koniecznie zanotuj ustawienia moduu!');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_VERSIONNUMBER', 'Versionsnummer');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_FORWARDING', 'Twoje zapytanie jest opracowywane, prosimy o chwil cierpliwoci i prosimy nie przerywa procesu. Proces ten moe potrwa okoo 30 sekund.');

define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS', 'Weryfikacja klucza API zakoczona sukcesem!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK dnia');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR', 'Klucz API nie mg zosta zweryfikowany!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR_DESC', 'Uwaga: nieprawidowy klucz API');
define('MODULE_PAYMENT_SOFORT_KEYTEST_DEFAULT', 'Klucz API nie zosta jeszcze przetestowany');

define('MODULE_PAYMENT_SOFORT_REFRESH_INFO', 'Jeli wanie potwierdzie, zmienie, anulowae lub zapisae na dobro rachunku to zamwienie, moe by konieczne {{relLink}} strony, aby wszystkie zmiany byy widoczne.');
define('MODULE_PAYMENT_SOFORT_REFRESH_PAGE', 'Kliknij tutaj, aby na nowo wczyta stron');
define('MODULE_PAYMENT_SOFORT_TRANSLATE_TIME', 'Czas');

//definition of error-codes that can resolve by calling the SOFORT-API
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_0',		'Wystpi nieznany bd.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8002',		'Wystpi bd podczas walidacji.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010',		'Dane s niepene lub bdne. Prosimy o poprawienie ich lub o kontakt ze sprzedawc.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8011',		'Poza obszarem dostpnych wartoci.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8012',		'Warto musi by dodatnia.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8013',		'Obecnie obsugujemy jedynie zamwienia w euro. Prosimy o poprawienie tego i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8015',		'Cakowita kwota jest zbyt wysoka lub niska. Prosimy o jej poprawienie lub o kontakt ze sprzedawc.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8017',		'Nieznane znaki.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8018',		'Maksymalna liczba znakw przekroczona (maks. 27).');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8019',		'Zamwienie nie moe zosta przeprowadzone z powodu nieprawidowego adresu e-mail.Prosimy o jego poprawienie i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8020',		'Zamwienie nie moe zosta przeprowadzone z powodu nieprawidowego numeru telefonu. Prosimy o jego poprawienie i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8021',		'Kod tego kraju nie jest wspierany, skontaktuj si z Twoim sprzedawc.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8022',		'Podany BIC jest nieprawidowy.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8023',		'Zamwienie nie moe zosta przeprowadzone z powodu nieprawidowego kodu BIC (Bank Identifier Code). Prosimy o jego poprawienie i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8024',		'Zamwienie nie moe zosta przeprowadzone z powodu nieprawidowego kodu kraju. Adres wysyki/ rachunku musi znajdowa si w Niemczech. Prosimy o jego poprawienie i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8029',		'Obsugujemy jedynie konta niemieckie. Prosimy o poprawienie bdu lub wybranie innej metody patnoci.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8033',		'Cakowita kwota jest zbyt wysoka. Prosimy o poprawienie jej i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8034',		'Cakowita kwota jest zbyt niska. Prosimy o poprawienie jej i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8041',		'Warto dla podatku VAT nieprawidowa. Wartoci prawidowe: 0, 7 lub 19.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8046',		'Die Validierung des Bankkontos und der Bankleitzahl ist fehlgeschlagen.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8047',		'Maksymalna liczba 255 znakw zostaa przekroczona.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8051',		'Zapytanie zawiera niewaciwe pozycje koszyka. Prosimy o poprawienie ich lub o kontakt ze sprzedawc.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8058',		'Prosimy o podanie przynajmniej waciciela konta i o ponowienie prby.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8061',		'Transakcja z podanymi przez Ciebie danymi ju istnieje.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8068',		'Zakup na rachunek jest obecnie dostpny tylko dla klientw indywidulanych.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10001', 	'Prosimy o kompletne wypenienie pl numer konta, numer rozliczeniowy banku i waciciel konta.'); //LS: holder and bankdata missing
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10002',	'Prosimy o zaakceptowanie polityki prywatnoci.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10003',	'Wybrana metoda patnicza nie pozwala niestety na zakup takich artykuw jak pobieranie plikw (downloads) lub bony prezentowe.');  //RBS and virtual content is not allowed
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10007',	'Wystpi nieznany bd.');  //Rechnung by SOFORT: check of shopamount against invoiceamount failed (more than one percent difference found)
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10008',	'Wystpi bd podczas synchronizacji z serwerami SOFORT. W celu wprowadzenia zmian w rachunku lub w koszyku wykorzystaj moliwoci, ktre daje Ci panel sprzedawcy w SOFORT.');  //Rechnung by SOFORT: Sync of Articles failed

//check for empty fields failed (code 8010 = 'must not be empty')
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER',				'Adres E-Mail nie moe by pusty.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER',				'Numer telefonu nie moe pozosta pusty.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME',	'Imi przy adresie wysyki nie moe by puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME',	'Miejsce na imi w adresie wysyki nie moe zosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME',	'Nazwisko przy adresie faktury nie moe by puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME',	'Miejsce na nazwisko w adresie wysyki nie moe zosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET',		'Ulica i numer mieszkania musz by oddzielone.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET',		'Nazwa ulicy i numer domu musz by oddzielone spacj.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER',	'Nazwa ulicy i numer domu musz by oddzielone spacj.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER',	'Nazwa ulicy i numer domu musz by oddzielone spacj.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE',		'Miejsce na kod pocztowy w adresie nie moe pozosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE',	'Miejsce na kod pocztowy adresu wysyki nie moe pozosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY',		'Miejsce na nazw miejscowoci w adresie na rachunku nie moe zosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY',		'MIejsce na nazw miejscowoci w adresie wysyki nie moe pozosta puste.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE',	'Kod kraju adresu faktury nie moe by pusty.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE',	'Kod kraju adresu wysyki towaru nie moe by pusty.');